const sequelize = require('../db');
const Character = require('../models/character.model');
const Inventory = require('../models/inventory.model');
// Устанавливаем ассоциации здесь
Character.hasMany(Inventory, { foreignKey: 'telegram_id' });
Inventory.belongsTo(Character, { foreignKey: 'telegram_id' });

module.exports = {
    weaponshop : require('../json/weaponshop.json'),
    slots : require('../json/slots.json'),
    rarecars : require('../json/rarecars.json'),
    simplecars : require('../json/simplecars.json'),
    houses : require('../presets/houses.json'),
    cars : require('../presets/cars.json'),
    phones : require('../presets/mobiles.json'),
    weapons : require('../presets/weapons.json'),
    equipment : require('../presets/equipment.json'),
    UserModel : require('../models/user.model'),
    CharacterModel : require('../models/character.model'),
    InventoryModel : require('../models/inventory.model'),
    ItemsModel : require('../models/items.model'),
    Enemy : require('../models/enemy.model'),
    Location : require('../models/location.model'),
    Battle : require('../models/battle.model'),
    StolenCardsModel : require('../models/stolencards.model'), 
    WorldModel : require('../models/world.model'),
    JobModel : require('../models/job.model'),
    PropertyModel : require('../models/property.model'),
    AFKPropertyModel : require('../models/afkproperty.model'),
    BusinessModel : require('../models/business.model'),
    ReportModel : require('../models/report.model'),
    BlockModel : require('../models/block.model'),
    PromocodeModel : require('../models/promocode.model'),
    SkillsModel: require('../models/skills.model'),
    LobbyModel: require('../models/lobby.model'),
    EnterpriseModel: require('../models/enterprise.model'),
    WarehouseModel: require('../models/warehouse.model'),
    TruckModel: require('../models/truck.model'),
    ResourcePriceModel: require('../models/resourceprice.model'),
    SaleModel: require('../models/sales.model'),
    DailyModel: require('../models/daily.model'),
    mainChat : -1001895132127,
    adminList : [275416286],
    promoTopicId: 1807,
    expToUp: [
        0, 10, 25, 50, 85, 130, 200, 300, 420, 560, 720, 910, 1130, 1380, 1670, 2000, 
        2370, 2790, 3250, 3750, 4300, 4900, 5550, 6250, 7000, 7800, 8650, 9550, 10500, 
        11500, 12550, 13650, 14800, 16000, 17350, 18750, 20200, 21700, 23250, 24850, 
        26500, 28200, 29950, 31750, 33600, 35500, 37450, 39450, 41500, 43600, 45750, 
        47950, 50200, 52500, 54850, 57250, 59700, 62200, 64750, 67350, 70000, 72700, 
        75450, 78250, 81100, 84000, 86950, 89950, 93000, 96100, 99250, 102450, 105700, 
        109000, 112350, 115750, 119200, 122700, 126250, 129850, 133500, 137200, 141000, 
        144850, 148750, 152700, 156700, 160750, 164850, 169000, 173200, 177450, 181750, 
        186100, 190500, 195000, 199550, 204150, 208800, 213500, 218250, 223050, 228000, 
        233000, 238050, 243150, 248300, 253500, 258750, 264050, 269400, 274800, 280250, 
        285750, 291300, 296900, 302550, 308250, 314000, 319800, 325650, 331550, 337500, 
        343500, 349550, 355650, 361800, 368000
      ],      
    topSym : ['🥇', '🥈', '🥉', '4️⃣', '5️⃣', '6️⃣', '7️⃣', '8️⃣', '9️⃣', '🔟', '🌫️', '🌫️', '🌫️', '🌫️', '🌫️'],
}